Package org.apache.sysds.runtime.frame.data.columns

## Enum ArrayFactory.FrameArrayType

- java.lang.Object
- - java.lang.Enum<ArrayFactory.FrameArrayType>
  - - org.apache.sysds.runtime.frame.data.columns.ArrayFactory.FrameArrayType

All Implemented Interfaces:
  `Serializable`, `Comparable<ArrayFactory.FrameArrayType>`

Enclosing interface:
  ArrayFactory

    public static enum ArrayFactory.FrameArrayType
    extends Enum<ArrayFactory.FrameArrayType>

### Enum Constant Summary

Enum Constants
`BITSET`
`BOOLEAN`
`CHARACTER`
`FP32`
`FP64`
`INT32`
`INT64`
`OPTIONAL`
`STRING`

### Method Summary

All Methods Static Methods Concrete Methods
`static ArrayFactory.FrameArrayType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ArrayFactory.FrameArrayType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STRING

    public static final ArrayFactory.FrameArrayType STRING

#### BOOLEAN

    public static final ArrayFactory.FrameArrayType BOOLEAN

#### BITSET

    public static final ArrayFactory.FrameArrayType BITSET

#### INT32

    public static final ArrayFactory.FrameArrayType INT32

#### INT64

    public static final ArrayFactory.FrameArrayType INT64

#### FP32

    public static final ArrayFactory.FrameArrayType FP32

#### FP64

    public static final ArrayFactory.FrameArrayType FP64

#### CHARACTER

    public static final ArrayFactory.FrameArrayType CHARACTER

#### OPTIONAL

    public static final ArrayFactory.FrameArrayType OPTIONAL

### Method Detail

#### values

    public static ArrayFactory.FrameArrayType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ArrayFactory.FrameArrayType c : ArrayFactory.FrameArrayType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ArrayFactory.FrameArrayType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null